curl --request POST \
--url https://api.birdeye.com/resources/v1/social/post/public/scheduled/edit/{accountNumber} \
--header 'Content-Type: application/json' \
--data '
{
"trackingId": "4ece211b82162d1101d2d82a24876a92",
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [
123456780,
123456781
],
"scheduleTimestamp": 1677759962528,
"media": [
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
},
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
}
],
"additionalMetaData": {
"callToActionType": "LEARN_MORE",
"callToActionUrl": "https://app.birdeye.com/"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/social/post/public/scheduled/edit/{accountNumber}"
payload = {
"trackingId": "4ece211b82162d1101d2d82a24876a92",
"text": "Check out the latest collection",
"socialSite": "GOOGLEMYBUSINESS",
"subBusinessNumbers": [123456780, 123456781],
"scheduleTimestamp": 1677759962528,
"media": [
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
},
{
"type": "IMAGE",
"mediaUrl": "https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png"
}
],
"additionalMetaData": {
"callToActionType": "LEARN_MORE",
"callToActionUrl": "https://app.birdeye.com/"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trackingId: '4ece211b82162d1101d2d82a24876a92',
text: 'Check out the latest collection',
socialSite: 'GOOGLEMYBUSINESS',
subBusinessNumbers: [123456780, 123456781],
scheduleTimestamp: 1677759962528,
media: [
{
type: 'IMAGE',
mediaUrl: 'https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png'
},
{
type: 'IMAGE',
mediaUrl: 'https://upload.wikimedia.org/wikipedia/commons/5/53/Google_Logo.png'
}
],
additionalMetaData: {callToActionType: 'LEARN_MORE', callToActionUrl: 'https://app.birdeye.com/'}
})
};
fetch('https://api.birdeye.com/resources/v1/social/post/public/scheduled/edit/{accountNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 5556,
"message": "One or few BusinessIds are Invalid"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Edit scheduled Social Post
This api will edit a scheduled post created through public api. Users can specify the content, media, and schedule a specific time for the post. Supported social sites include Google Business Profile, Facebook, Instagram and LinkedIn. If extra locations are included in subBusinessNumbers, the post will also be scheduled for those locations. If subBusinessNumbers now contains fewer locations than before, the post will be unscheduled from any locations that are no longer listed.
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Media type of the JSON request body.
Path Parameters
Id of the Account.
Body
Tracking id received when post was created through public api.
Input text that will be added in the post. Limits of characters across various Social Sites
The social site where the post will be edited. Possible values are
List of location ids for which this post should be edited.
A Unix timestamp in milliseconds that represents the date and time when the post should be scheduled. If not provided, the post will have same schedule time as the original one.
Media details.
Show child attributes
Show child attributes
Additional metadata for the post, including a call to action (CTA). Applicable only for GOOGLEMYBUSINESS.
Show child attributes
Show child attributes